CASIN(3)

NAME
casin, casinf, casinl - complex circular arc sine

SYNOPSIS
#include <complex.h>
double complex
casin(double complex z);
float complex
casinf(float complex z);
long double complex
casinl(long double complex z);

DESCRIPTION
The casin(), casinf() and casinl() functions compute the complex circular arc sine of z.

For all complex floating-point numbers z,

    casin(z) = -i clog(iz + csqrt(1 - z^2)).

RETURN VALUES
The casin(), casinf() and casinl() functions return the complex circular arc sine of z with unbounded imaginary part, and real part in the interval [-Pi/2, Pi/2].

SEE ALSO
cacos(3), catan(3)

STANDARDS
The casin(), casinf() and casinl() functions conform to isoC-99.